﻿//
// Copyright (c) 2011, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using MindFusion.Charting.Wpf;
using System.Windows.Media.Effects;
using System.Collections.ObjectModel;

namespace MixedDataBarChart
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            barChart1.YAxes[0].Title = "";
            barChart1.YAxes[0].LabelFormat = "f0";
            barChart1.YAxes[0].Interval = 20;
            barChart1.YAxes[0].Tick = 5.0;
            barChart1.XAxes[0].Title = "";
            barChart1.XAxes[0].LabelType = LabelType.Empty;

            BarSeries series = new BarSeries();
            barChart1.Series.Add(series);
            series.Effect = new DropShadowEffect() { Opacity = 0.7, ShadowDepth = 3 };
            series.YData = new DoubleCollection() { 14, 35, 68, 92, -12, -7, -25, 32 };
            series.XData = new DoubleCollection() { 1, 2, 3, 4, 5, 6, 7, 8 };
            //series.Fills = new ObservableCollection<Brush>();
            series.StrokeThickness = 0;
            series.Fills.Add(new SolidColorBrush(Color.FromRgb(230, 255, 102)));
            series.Fills.Add(new SolidColorBrush(Color.FromRgb(255, 204, 102)));
            series.Fills.Add(new SolidColorBrush(Color.FromRgb(235, 156, 0)));
            series.Fills.Add(new SolidColorBrush(Color.FromRgb(255, 127, 102)));
            series.Fills.Add(new SolidColorBrush(Color.FromRgb(204, 102, 255)));
            series.Fills.Add(new SolidColorBrush(Color.FromRgb(255, 102, 230)));
            series.Fills.Add(new SolidColorBrush(Color.FromRgb(102, 255, 127)));
            series.Fills.Add(new SolidColorBrush(Color.FromRgb(127, 102, 255))); 
        
            SeriesLegend legend = new SeriesLegend();
            legend.LabelsSource = new string[]{"Hong Kong", "Jakarta", "Auckland", 
                "Berlin", "Boston", "Prague", "Sao Paolo", "Seattle"};
            legend.BrushesSource = series.Fills;
            LayoutPanel.SetDock(legend, Dock.Right);
            barChart1.Legends.Add(legend);

            barChart1.GridStrokes = new List<Brush>();
            barChart1.GridStrokes.Add(Brushes.Gray);
            barChart1.GridFills = new List<Brush>();
            barChart1.PlotAreaStroke = null;     

        }

        private void cbAllowDrag_Checked(object sender, RoutedEventArgs e)        
        {       
            barChart1.Behavior = Behavior.AllowYDrag;           
        }

        private void cbAllowDrag_Unchecked(object sender, RoutedEventArgs e)
        {
            barChart1.Behavior = Behavior.DoNothing;
        }

        private void cbCurve_Checked(object sender, RoutedEventArgs e)
        {
            barChart1.ShowCrosshair = true;
        }

        private void cbCurve_Unchecked(object sender, RoutedEventArgs e)
        {
            barChart1.ShowCrosshair = false;
        }
    }
}
